## globus-gridftp-server 3.17

=== embed/Makefile ===
# Makefile.in generated by automake 1.9.1 from Makefile.am.
# embed/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = $(globus_gridftp_server_embedded_SOURCES)

srcdir = /sandbox/mlink/globus/globus_4_2_branch/gcc32dbgpthr/gridftp/server/src/embed
top_srcdir = /sandbox/mlink/globus/globus_4_2_branch/gcc32dbgpthr/gridftp/server/src
VPATH = /sandbox/mlink/globus/globus_4_2_branch/gcc32dbgpthr/gridftp/server/src/embed
pkgdatadir = $(datadir)/globus_gridftp_server
pkglibdir = $(libdir)/globus_gridftp_server
pkgincludedir = $(includedir)/globus_gridftp_server
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/globus_automake_post \
	$(top_srcdir)/globus_automake_post_top \
	$(top_srcdir)/globus_automake_pre \
	$(top_srcdir)/globus_automake_pre_top
noinst_PROGRAMS = globus-gridftp-server-embedded$(EXEEXT)
subdir = embed
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_globus_gridftp_server_embedded_OBJECTS =  \
	globus_gridftp_server_embedded.$(OBJEXT)
globus_gridftp_server_embedded_OBJECTS =  \
	$(am_globus_gridftp_server_embedded_OBJECTS)
am__DEPENDENCIES_1 =
globus_gridftp_server_embedded_DEPENDENCIES = $(top_srcdir)/libglobus_gridftp_server_$(GLOBUS_FLAVOR_NAME).la \
	$(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(globus_gridftp_server_embedded_SOURCES)
DIST_SOURCES = $(globus_gridftp_server_embedded_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /sandbox/mlink/globus/globus_4_2_branch/gcc32dbgpthr/gridftp/server/src/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /sandbox/mlink/globus/globus_4_2_branch/gcc32dbgpthr/gridftp/server/src/missing --run tar
AR = /usr/bin/ar
ARFLAGS = ruv
AUTOCONF = ${SHELL} /sandbox/mlink/globus/globus_4_2_branch/gcc32dbgpthr/gridftp/server/src/missing --run autoconf
AUTOHEADER = ${SHELL} /sandbox/mlink/globus/globus_4_2_branch/gcc32dbgpthr/gridftp/server/src/missing --run autoheader
AUTOMAKE = ${SHELL} /sandbox/mlink/globus/globus_4_2_branch/gcc32dbgpthr/gridftp/server/src/missing --run automake-1.9
AWK = gawk
BUILTIN_EXTENSIONS_DEC = GlobusExtensionDeclareModule(globus_gridftp_server_file); GlobusExtensionDeclareModule(globus_gridftp_server_remote); 
BUILTIN_EXTENSIONS_DEF =  {"globus_gridftp_server_file", GlobusExtensionMyModule(globus_gridftp_server_file)}, {"globus_gridftp_server_remote", GlobusExtensionMyModule(globus_gridftp_server_remote)},
CC = /usr/lib/ccache/gcc
CCDEPMODE = depmode=none
CFLAGS = -g    -D_REENTRANT -Wall -DGLOBUS_BUILTIN
CPP = /usr/lib/ccache/gcc -E
CPPFLAGS =  -I/sandbox/mlink/globus/globus_4_2_branch/INSTALL/include -I/sandbox/mlink/globus/globus_4_2_branch/INSTALL/include/gcc32dbgpthr
CROSS = no
CXX = /usr/lib/ccache/g++
CXXCPP = /usr/lib/ccache/g++ -E
CXXFLAGS = -g   
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIRT_BRANCH_ID = 78
DIRT_TIMESTAMP = 1245879812
DOT = 
DOXYFILE = Doxyfile
DOXYGEN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
ENABLE_PROGRAMS_FALSE = #
ENABLE_PROGRAMS_TRUE = 
EXEEXT = 
F77 = f95
F77FLAGS =  
F90 = 
F90FLAGS =  
FILELIST_FILE = /sandbox/mlink/globus/globus_4_2_branch/gcc32dbgpthr/gridftp/server/src/pkgdata/master.filelist
GLOBUS_FLAVOR_NAME = gcc32dbgpthr
GLOBUS_LOCATION = /sandbox/mlink/globus/globus_4_2_branch/INSTALL
GLOBUS_TOOLKIT_ID = Globus Toolkit 4.2.1-branch
GPT_CFLAGS =  -I/usr/kerberos/include 
GPT_CONFIG_CFLAGS =  -I/usr/kerberos/include 
GPT_CONFIG_INCLUDES =  -I/usr/kerberos/include 
GPT_CONFIG_LIBS =  -lm -ldl -L/usr/kerberos/lib -lssl -lcrypto -ldl -lz -lssl -lcrypto -ldl -lz 
GPT_CONFIG_PKG_LIBS =  -lglobus_ftp_control_gcc32dbgpthr -lglobus_io_gcc32dbgpthr -lglobus_gridftp_server_control_gcc32dbgpthr -lgssapi_error_gcc32dbgpthr -lglobus_gss_assist_gcc32dbgpthr -lglobus_authz_gcc32dbgpthr -lglobus_gssapi_gsi_gcc32dbgpthr -lglobus_gsi_proxy_core_gcc32dbgpthr -lglobus_gsi_credential_gcc32dbgpthr -lglobus_gsi_callback_gcc32dbgpthr -lglobus_oldgaa_gcc32dbgpthr -lglobus_gsi_sysconfig_gcc32dbgpthr -lglobus_gsi_cert_utils_gcc32dbgpthr -lglobus_usage_gcc32dbgpthr -lglobus_openssl_gcc32dbgpthr -lglobus_gfork_gcc32dbgpthr -lglobus_xio_gcc32dbgpthr -lglobus_openssl_error_gcc32dbgpthr -lglobus_callout_gcc32dbgpthr -lglobus_gsi_authz_callout_error_gcc32dbgpthr -lglobus_proxy_ssl_gcc32dbgpthr -lglobus_common_gcc32dbgpthr -lltdl_gcc32dbgpthr 
GPT_EXTERNAL_INCLUDES = 
GPT_EXTERNAL_LIBS = 
GPT_INCLUDES = -I/sandbox/mlink/globus/globus_4_2_branch/INSTALL/include/gcc32dbgpthr  -I/usr/kerberos/include 
GPT_IS_2 = yes
GPT_LDFLAGS =  -L/sandbox/mlink/globus/globus_4_2_branch/INSTALL/lib 
GPT_LIBS =  -lglobus_ftp_control_gcc32dbgpthr -lglobus_io_gcc32dbgpthr -lglobus_gridftp_server_control_gcc32dbgpthr -lgssapi_error_gcc32dbgpthr -lglobus_gss_assist_gcc32dbgpthr -lglobus_authz_gcc32dbgpthr -lglobus_gssapi_gsi_gcc32dbgpthr -lglobus_gsi_proxy_core_gcc32dbgpthr -lglobus_gsi_credential_gcc32dbgpthr -lglobus_gsi_callback_gcc32dbgpthr -lglobus_oldgaa_gcc32dbgpthr -lglobus_gsi_sysconfig_gcc32dbgpthr -lglobus_gsi_cert_utils_gcc32dbgpthr -lglobus_usage_gcc32dbgpthr -lglobus_openssl_gcc32dbgpthr -lglobus_gfork_gcc32dbgpthr -lglobus_xio_gcc32dbgpthr -lglobus_openssl_error_gcc32dbgpthr -lglobus_callout_gcc32dbgpthr -lglobus_gsi_authz_callout_error_gcc32dbgpthr -lglobus_proxy_ssl_gcc32dbgpthr -lglobus_common_gcc32dbgpthr -lltdl_gcc32dbgpthr   -lm -ldl -L/usr/kerberos/lib -lssl -lcrypto -ldl -lz -lssl -lcrypto -ldl -lz 
GPT_LIB_LINKS =  -lglobus_ftp_control_gcc32dbgpthr -lglobus_io_gcc32dbgpthr -lglobus_gridftp_server_control_gcc32dbgpthr -lgssapi_error_gcc32dbgpthr -lglobus_gss_assist_gcc32dbgpthr -lglobus_authz_gcc32dbgpthr -lglobus_gssapi_gsi_gcc32dbgpthr -lglobus_gsi_proxy_core_gcc32dbgpthr -lglobus_gsi_credential_gcc32dbgpthr -lglobus_gsi_callback_gcc32dbgpthr -lglobus_oldgaa_gcc32dbgpthr -lglobus_gsi_sysconfig_gcc32dbgpthr -lglobus_gsi_cert_utils_gcc32dbgpthr -lglobus_usage_gcc32dbgpthr -lglobus_openssl_gcc32dbgpthr -lglobus_gfork_gcc32dbgpthr -lglobus_xio_gcc32dbgpthr -lglobus_openssl_error_gcc32dbgpthr -lglobus_callout_gcc32dbgpthr -lglobus_gsi_authz_callout_error_gcc32dbgpthr -lglobus_proxy_ssl_gcc32dbgpthr -lglobus_common_gcc32dbgpthr -lltdl_gcc32dbgpthr   -lm -ldl -L/usr/kerberos/lib -lssl -lcrypto -ldl -lz -lssl -lcrypto -ldl -lz 
GPT_LINKTYPE = shared
GPT_LOCATION = /sandbox/mlink/globus/globus_4_2_branch/INSTALL
GPT_MAJOR_VERSION = 3
GPT_MINOR_VERSION = 17
GPT_PGM_LINKS =  -lglobus_ftp_control_gcc32dbgpthr -lglobus_io_gcc32dbgpthr -lglobus_gridftp_server_control_gcc32dbgpthr -lgssapi_error_gcc32dbgpthr -lglobus_gss_assist_gcc32dbgpthr -lglobus_authz_gcc32dbgpthr -lglobus_gssapi_gsi_gcc32dbgpthr -lglobus_gsi_proxy_core_gcc32dbgpthr -lglobus_gsi_credential_gcc32dbgpthr -lglobus_gsi_callback_gcc32dbgpthr -lglobus_oldgaa_gcc32dbgpthr -lglobus_gsi_sysconfig_gcc32dbgpthr -lglobus_gsi_cert_utils_gcc32dbgpthr -lglobus_usage_gcc32dbgpthr -lglobus_openssl_gcc32dbgpthr -lglobus_gfork_gcc32dbgpthr -lglobus_xio_gcc32dbgpthr -lglobus_openssl_error_gcc32dbgpthr -lglobus_callout_gcc32dbgpthr -lglobus_gsi_authz_callout_error_gcc32dbgpthr -lglobus_proxy_ssl_gcc32dbgpthr -lglobus_common_gcc32dbgpthr -lltdl_gcc32dbgpthr   -lm -ldl -L/usr/kerberos/lib -lssl -lcrypto -ldl -lz -lssl -lcrypto -ldl -lz 
GPT_PKG_CFLAGS = 
GRIDMAP_CONF = -df /home/mlink/.gridmap
HAVE_DOT = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSURE = 
LD = 
LDFLAGS =  -L/sandbox/mlink/globus/globus_4_2_branch/INSTALL/lib 
LDFLHACK = 
LIBOBJS = 
LIBS =   -lpthread
LIBTOOL = $(SHELL) $(GLOBUS_LOCATION)/sbin/libtool-$(GLOBUS_FLAVOR_NAME)
LN_S = 
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /sandbox/mlink/globus/globus_4_2_branch/gcc32dbgpthr/gridftp/server/src/missing --run makeinfo
MODULE_DIRS = . file remote
MODULE_LIBS =  modules/file/libglobus_gridftp_server_file_gcc32dbgpthr.la modules/remote/libglobus_gridftp_server_remote_gcc32dbgpthr.la
OBJECT_MODE = 
OBJEXT = o
PACKAGE = globus_gridftp_server
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PERL = /usr/bin/perl
RANLIB = /usr/bin/ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 3.17
WITHOUT_FLAVORS_FALSE = 
WITHOUT_FLAVORS_TRUE = #
ac_ct_CC = /usr/lib/ccache/gcc
ac_ct_STRIP = 
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
cross_compiling = no
datadir = ${prefix}/share
exec_prefix = $(GLOBUS_LOCATION)
host_alias = 
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /sandbox/mlink/globus/globus_4_2_branch/gcc32dbgpthr/gridftp/server/src/install-sh
lac_doxygen_examples = 
lac_doxygen_file_patterns = 
lac_doxygen_input_filter = 
lac_doxygen_installdox = 
lac_doxygen_internal_tagfiles = 
lac_doxygen_output_tagfile = 
lac_doxygen_predefines = 
lac_doxygen_project = 
lac_doxygen_srcdirs = 
lac_doxygen_tagfiles = 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = $(GLOBUS_LOCATION)
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
setupdir = $(GLOBUS_LOCATION)/setup/globus
testdir = $(GLOBUS_LOCATION)/test/$(PACKAGE)
scriptsysconfdir = $(GLOBUS_LOCATION)/etc
flavorincludedir = $(GLOBUS_LOCATION)/include/$(GLOBUS_FLAVOR_NAME)
pkgdir = $(GLOBUS_LOCATION)/etc/globus_packages/$(PACKAGE)
aclocaldir = $(GLOBUS_LOCATION)/share/globus_aclocal
amdirdir = $(GLOBUS_LOCATION)/share/globus_amdir
doxygendir = $(GLOBUS_LOCATION)/share/doxygen
docdir = $(GLOBUS_LOCATION)/share/doc
LINK_BAK = orig
AUTOMAKE_OPTIONS = no-dependencies
EXTRA_DIST = bootstrap globus_automake_pre globus_automake_post \
	globus_automake_pre_top globus_automake_post_top dirt.sh

# INCLUDES is an automake macro which contains 
# the include directives (-I..) for the compiler.
#
# GPT_INCLUDES contains the include directives generated by GPT 
# from the dependent packages.

## globus-gridftp-server 3.21

=== debian/changelog ===
globus-gridftp-server (3.21-2) unstable; urgency=low

  * Converting to package format 3.0 (quilt)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 04 Jun 2010 04:43:30 +0200

globus-gridftp-server (3.21-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.1

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 15 Apr 2010 17:09:19 +0200

globus-gridftp-server (3.19-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.0
  * Add debug package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 27 Jan 2010 15:33:50 +0100

globus-gridftp-server (3.17-2) unstable; urgency=low

  * Fix location of default config file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 09 Nov 2009 04:28:37 +0100

globus-gridftp-server (3.17-1) unstable; urgency=low

  * Initial release (Closes: #540259).

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 07 Aug 2009 07:24:28 +0200

=== debian/control ===
Source: globus-gridftp-server
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), autotools-dev, quilt, grid-packaging-tools, libglobus-gridftp-server-control-dev, libglobus-usage-dev (>= 1), libglobus-xio-gsi-driver-dev, libglobus-xio-dev, libglobus-authz-dev, libglobus-gfork-dev, libglobus-ftp-control-dev (>= 1), globus-core (>= 5.15-5)
Standards-Version: 3.8.4
Section: net
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-gridftp-server
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-gridftp-server
Homepage: http://www.globus.org/

Package: libglobus-gridftp-server0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-gsi-driver0
Description: Globus Toolkit - Globus GridFTP Server
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-gridftp-server0 package contains:
 Globus GridFTP Server

Package: globus-gridftp-server-progs
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglobus-xio-gsi-driver0
Description: Globus Toolkit - Globus GridFTP Server Programs
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-gridftp-server-progs package contains:
 Globus GridFTP Server Programs

Package: libglobus-gridftp-server-dev
Section: libdevel
Architecture: any
Depends: libglobus-gridftp-server0 (= ${binary:Version}), ${misc:Depends}, libglobus-gridftp-server-control-dev, libglobus-usage-dev (>= 1), libglobus-xio-gsi-driver-dev, libglobus-xio-dev, libglobus-authz-dev, libglobus-gfork-dev, libglobus-ftp-control-dev (>= 1)
Description: Globus Toolkit - Globus GridFTP Server Development Files
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-gridftp-server-dev package contains:
 Globus GridFTP Server Development Files

Package: globus-gridftp-server-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libglobus-gridftp-server0 (= ${binary:Version}) | globus-gridftp-server-progs (= ${binary:Version}), ${misc:Depends}
Description: Globus Toolkit - Globus GridFTP Server Debug Symbols
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-gridftp-server-dbg package contains:
 Globus GridFTP Server Debug Symbols

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

include /usr/share/quilt/quilt.make

name = globus-gridftp-server
_name = globus_gridftp_server
version = 3.21
soname = 0

INSTALLDIR = $(CURDIR)/debian/tmp
GLOBUSPACKAGEDIR = $(INSTALLDIR)$(_datadir)/globus/packages

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc

DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

ifneq (,$(filter $(DEB_HOST_ARCH_CPU), amd64 alpha ia64 s390x ppc64 sparc64))
flavor = gcc64pthr
else
flavor = gcc32pthr
endif

sed: sed-stamp
	:

sed-stamp: $(QUILT_STAMPFN)
	dh_testdir

	for f in `find . ! -path */.pc/* -name Makefile.am` ; do \
	  sed -e 's!^flavorinclude_HEADERS!include_HEADERS!' \
	      -e 's!\(lib[a-zA-Z_]*\)_$$(GLOBUS_FLAVOR_NAME)\.la!\1.la!g' \
	      -e 's!^\(lib[a-zA-Z_]*\)___GLOBUS_FLAVOR_NAME__la_!\1_la_!' \
	    -i $$f ; \
	done
	sed -s 's!\(lib[a-zA-Z_$${}]*\)_$${GLOBUS_FLAVOR_NAME}\.la!\1.la!g' \
	  -i configure.in
	sed -e "s!<With_Flavors!<With_Flavors ColocateLibraries=\"no\"!" \
	  -i pkgdata/pkg_data_src.gpt.in

	touch $@

unsed: cleanup
	dh_testdir

	if [ -e sed-stamp ] ; then \
	  for f in `find . ! -path */.pc/* -name Makefile.am` ; do \
	    sed -e 's!^include_HEADERS!flavorinclude_HEADERS!' \
		-e 's!\(lib[a-zA-Z_]*\)\.la!\1_$$(GLOBUS_FLAVOR_NAME).la!g' \
		-e 's!^\(lib[a-zA-Z_]*\)_la_!\1___GLOBUS_FLAVOR_NAME__la_!' \
	      -i $$f ; \
	  done ; \
	  sed -s 's!\(lib[a-zA-Z_$${}]*\)\.la!\1_$${GLOBUS_FLAVOR_NAME}.la!g' \
	    -i configure.in ; \
	  sed -e "s!<With_Flavors ColocateLibraries=\"no\"!<With_Flavors!" \
	    -i pkgdata/pkg_data_src.gpt.in ; \
	fi

	rm -f sed-stamp

configure: configure-stamp
	:

configure-stamp: sed-stamp
	dh_testdir

	/usr/share/globus/globus-bootstrap.sh

	for f in config.sub config.guess ; do \
	  if [ -e /usr/share/misc/$$f -a ! -e $$f.dist ] ; then \
	    mv $$f $$f.dist ; \
	    cp -f /usr/share/misc/$$f $$f ; \
	  fi ; \
	done

	export GRIDMAP=/etc/grid-security/grid-mapfile
	./configure \
	   --host=$(DEB_HOST_GNU_TYPE) \
	   --build=$(DEB_BUILD_GNU_TYPE) \
	   --prefix=$(_prefix) \
	   --mandir='$${datadir}/man' \
	   --infodir='$${datadir}/info' \
	   --sysconfdir=/etc/$(name) \
	   --with-flavor=$(flavor)

	touch $@

build: build-stamp
	:

build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch $@

unpatch: unsed

clean: unpatch
	:

cleanup:
	dh_testdir
	dh_testroot

	if [ -r Makefile ] ; then $(MAKE) distclean ; fi

	for f in config.sub config.guess ; do \
	  if [ -e $$f.dist ] ; then \
	    mv -f $$f.dist $$f ; \
	  fi ; \
	done

	# Remove autogenerated files

	rm -f aclocal.m4
	rm -f configure
	rm -f config.guess
	rm -f config.sub
	rm -f ltmain.sh
	rm -f mkinstalldirs

	rm -f doxygen/Doxyfile*
	rm -f doxygen/Makefile.am
	rm -f pkgdata/Makefile.am
	rm -f pkgdata/*.filelist
	rm -f pkgdata/*.gpt
	rm -f globus_automake*
	rm -rf autom4te.cache

	rm -f config.h.in

	find . -name Makefile.in -exec rm {} ';'

	rm -f embed/Makefile

	rm -f build-stamp configure-stamp

	dh_clean debian/*.install

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k

	$(MAKE) install DESTDIR=$(INSTALLDIR)

	# Remove libtool archives (.la files)
	find $(INSTALLDIR)$(_libdir) -name 'lib*.la' -exec rm -v '{}' \;
	sed '/lib.*\.la$$/d' \
	  -i $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_rtl.filelist

	# Generate pkg-config file from GPT metadata
	mkdir -p $(INSTALLDIR)$(_libdir)/pkgconfig
	/usr/share/globus/globus-gpt2pkg-config \
	  pkgdata/pkg_data_$(flavor)_dev.gpt > \
	  $(INSTALLDIR)$(_libdir)/pkgconfig/$(name).pc

	# Remove install dir from filelist
	sed s!$(INSTALLDIR)!! \
	  -i $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_data.filelist

	# No need for environment in gfork scripts
	sed '/ env /d' -i $(INSTALLDIR)/etc/$(name)/g*

	# Remove .pl extension and add globus namespace
	mv $(INSTALLDIR)$(_sbindir)/gridftp-password.pl \
	   $(INSTALLDIR)$(_sbindir)/globus-gridftp-password
	sed s/gridftp-password.pl/globus-gridftp-password/ \
	  -i $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_pgm.filelist

	# Don't use /usr/bin/env
	sed 's!/usr/bin/env perl!/usr/bin/perl!' \
	  -i $(INSTALLDIR)$(_sbindir)/globus-gridftp-password

	# Generate package filelists
	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_rtl.filelist \
	  | sed s!^!debian/tmp$(_prefix)! > debian/lib$(name)$(soname).install
	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_pgm.filelist \
	    $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_data.filelist \
	  | sed -e s!^!debian/tmp$(_prefix)! -e 's!$(_prefix)/etc!/etc!' \
	  > debian/$(name)-progs.install
	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_dev.filelist \
	  | sed s!^!debian/tmp$(_prefix)! > debian/lib$(name)-dev.install

	echo debian/tmp$(_libdir)/pkgconfig/$(name).pc \
	  >> debian/lib$(name)-dev.install

binary-indep:
	:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install --fail-missing
	dh_installman
	dh_link
	dh_strip --dbg-package=globus-gridftp-server-dbg
	dh_compress
	dh_fixperms
	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -l debian/lib$(name)$(soname)/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
	:

get-orig-source:
	if [ -r $(name)_$(version).orig.tar.gz ] ; then \
	  echo "$(name)_$(version).orig.tar.gz already exists." ; \
	else \
	  if [ ! -r gt5.0.1-all-source-installer.tar.bz2 ] ; then \
	    echo "Downloading Globus Toolkit release." ; \
	    echo "This should be necessary only once for all globus packages." ; \
	    wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.1/installers/src/gt5.0.1-all-source-installer.tar.bz2 ; \
	  fi ; \
	  echo "Extracting relevant parts of the Globus Toolkit release." ; \
	  tar -xjf gt5.0.1-all-source-installer.tar.bz2 \
	    gt5.0.1-all-source-installer/source-trees/gridftp/server/src ; \
	  mv gt5.0.1-all-source-installer/source-trees/gridftp/server/src \
	    $(name)-$(version) ; \
	  echo "Packing it up again." ; \
	  GZIP=-9 tar --exclude=CVS -czf $(name)_$(version).orig.tar.gz \
	    $(name)-$(version) ; \
	  echo "Cleaning up." ; \
	  rm -rf gt5.0.1-all-source-installer $(name)-$(version) ; \
	fi

.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source

## globus-gridftp-server 3.23

=== debian/changelog ===
globus-gridftp-server (3.23-1ubuntu0.1) natty-security; urgency=low

  * SECURITY UPDATE: Wrong user mapping on badly configured server
    (LP: #1027324)
    - debian/patches/globus-gridftp-server-pw195.patch: backported from
      upstream
    - CVE-2012-3292

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 19 Jul 2012 07:07:16 +0200

globus-gridftp-server (3.23-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.2

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 19 Jul 2010 13:51:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: globus-gridftp-server
 Priority: optional
-Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 5), autotools-dev, quilt, grid-packaging-tools, libglobus-gridftp-server-control-dev, libglobus-usage-dev (>= 1), libglobus-xio-gsi-driver-dev, libglobus-xio-dev, libglobus-authz-dev, libglobus-gfork-dev, libglobus-ftp-control-dev (>= 1), globus-core (>= 5.15-5)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Section: net
 DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-gridftp-server

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 name = globus-gridftp-server
 _name = globus_gridftp_server
-version = 3.21
+version = 3.23
 soname = 0
 
 INSTALLDIR = $(CURDIR)/debian/tmp
@@ -230,21 +230,21 @@
 	if [ -r $(name)_$(version).orig.tar.gz ] ; then \
 	  echo "$(name)_$(version).orig.tar.gz already exists." ; \
 	else \
-	  if [ ! -r gt5.0.1-all-source-installer.tar.bz2 ] ; then \
+	  if [ ! -r gt5.0.2-all-source-installer.tar.bz2 ] ; then \
 	    echo "Downloading Globus Toolkit release." ; \
 	    echo "This should be necessary only once for all globus packages." ; \
-	    wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.1/installers/src/gt5.0.1-all-source-installer.tar.bz2 ; \
+	    wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.2/installers/src/gt5.0.2-all-source-installer.tar.bz2 ; \
 	  fi ; \
 	  echo "Extracting relevant parts of the Globus Toolkit release." ; \
-	  tar -xjf gt5.0.1-all-source-installer.tar.bz2 \
-	    gt5.0.1-all-source-installer/source-trees/gridftp/server/src ; \
-	  mv gt5.0.1-all-source-installer/source-trees/gridftp/server/src \
+	  tar -xjf gt5.0.2-all-source-installer.tar.bz2 \
+	    gt5.0.2-all-source-installer/source-trees/gridftp/server/src ; \
+	  mv gt5.0.2-all-source-installer/source-trees/gridftp/server/src \
 	    $(name)-$(version) ; \
 	  echo "Packing it up again." ; \
 	  GZIP=-9 tar --exclude=CVS -czf $(name)_$(version).orig.tar.gz \
 	    $(name)-$(version) ; \
 	  echo "Cleaning up." ; \
-	  rm -rf gt5.0.1-all-source-installer $(name)-$(version) ; \
+	  rm -rf gt5.0.2-all-source-installer $(name)-$(version) ; \
 	fi
 
 .PHONY: build clean binary-indep binary-arch binary install configure get-orig-source

## globus-gridftp-server 3.28

=== debian/changelog ===
globus-gridftp-server (3.28-3) unstable; urgency=low

  * Add README file
  * Add missing dependencies

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 27 Apr 2011 05:38:16 +0200

globus-gridftp-server (3.28-2) unstable; urgency=low

  * Add start-up script and man page for globus-gridftp-server

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 19 Apr 2011 08:56:19 +0200

globus-gridftp-server (3.28-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.3

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 27 Feb 2011 06:45:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: globus-gridftp-server
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), autotools-dev, quilt, grid-packaging-tools, libglobus-gridftp-server-control-dev, libglobus-usage-dev (>= 1), libglobus-xio-gsi-driver-dev, libglobus-xio-dev, libglobus-authz-dev, libglobus-gfork-dev, libglobus-ftp-control-dev (>= 1), globus-core (>= 5.15-5)
-Standards-Version: 3.9.0
+Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
+Build-Depends: debhelper (>= 5), autotools-dev, quilt, grid-packaging-tools, libglobus-xio-dev, libglobus-authz-dev, libglobus-gfork-dev, libglobus-ftp-control-dev (>= 1), libglobus-gridftp-server-control-dev, libglobus-common-dev, libglobus-xio-gsi-driver-dev, libglobus-usage-dev (>= 1), globus-core (>= 5.15-5)
+Standards-Version: 3.9.2
 Section: net
 DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-gridftp-server
@@ -41,7 +40,7 @@
 Package: libglobus-gridftp-server-dev
 Section: libdevel
 Architecture: any
-Depends: libglobus-gridftp-server0 (= ${binary:Version}), ${misc:Depends}, libglobus-gridftp-server-control-dev, libglobus-usage-dev (>= 1), libglobus-xio-gsi-driver-dev, libglobus-xio-dev, libglobus-authz-dev, libglobus-gfork-dev, libglobus-ftp-control-dev (>= 1)
+Depends: libglobus-gridftp-server0 (= ${binary:Version}), ${misc:Depends}, libglobus-xio-dev, libglobus-authz-dev, libglobus-gfork-dev, libglobus-ftp-control-dev (>= 1), libglobus-gridftp-server-control-dev, libglobus-common-dev, libglobus-xio-gsi-driver-dev, libglobus-usage-dev (>= 1)
 Description: Globus Toolkit - Globus GridFTP Server Development Files
  The Globus Toolkit is an open source software toolkit used for
  building Grid systems and applications. It is being developed by the

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 name = globus-gridftp-server
 _name = globus_gridftp_server
-version = 3.23
+version = 3.28
 soname = 0
 
 INSTALLDIR = $(CURDIR)/debian/tmp
@@ -188,6 +188,9 @@
 	sed 's!/usr/bin/env perl!/usr/bin/perl!' \
 	  -i $(INSTALLDIR)$(_sbindir)/globus-gridftp-password
 
+	# Install default config file
+	install -m 644 debian/gridftp.conf.default $(INSTALLDIR)/etc
+
 	# Generate package filelists
 	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_rtl.filelist \
 	  | sed s!^!debian/tmp$(_prefix)! > debian/lib$(name)$(soname).install
@@ -201,6 +204,9 @@
 	echo debian/tmp$(_libdir)/pkgconfig/$(name).pc \
 	  >> debian/lib$(name)-dev.install
 
+	echo debian/tmp/etc/gridftp.conf.default \
+	  >> debian/$(name)-progs.install
+
 binary-indep:
 	:
 
@@ -208,9 +214,10 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs
-	dh_installdocs
+	dh_installdocs debian/README
 	dh_install --fail-missing
 	dh_installman
+	dh_installinit --name globus-gridftp-server
 	dh_link
 	dh_strip --dbg-package=globus-gridftp-server-dbg
 	dh_compress
@@ -230,21 +237,21 @@
 	if [ -r $(name)_$(version).orig.tar.gz ] ; then \
 	  echo "$(name)_$(version).orig.tar.gz already exists." ; \
 	else \
-	  if [ ! -r gt5.0.2-all-source-installer.tar.bz2 ] ; then \
+	  if [ ! -r gt5.0.3-all-source-installer.tar.bz2 ] ; then \
 	    echo "Downloading Globus Toolkit release." ; \
 	    echo "This should be necessary only once for all globus packages." ; \
-	    wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.2/installers/src/gt5.0.2-all-source-installer.tar.bz2 ; \
+	    wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.3/installers/src/gt5.0.3-all-source-installer.tar.bz2 ; \
 	  fi ; \
 	  echo "Extracting relevant parts of the Globus Toolkit release." ; \
-	  tar -xjf gt5.0.2-all-source-installer.tar.bz2 \
-	    gt5.0.2-all-source-installer/source-trees/gridftp/server/src ; \
-	  mv gt5.0.2-all-source-installer/source-trees/gridftp/server/src \
+	  tar -xjf gt5.0.3-all-source-installer.tar.bz2 \
+	    gt5.0.3-all-source-installer/source-trees/gridftp/server/src ; \
+	  mv gt5.0.3-all-source-installer/source-trees/gridftp/server/src \
 	    $(name)-$(version) ; \
 	  echo "Packing it up again." ; \
 	  GZIP=-9 tar --exclude=CVS -czf $(name)_$(version).orig.tar.gz \
 	    $(name)-$(version) ; \
 	  echo "Cleaning up." ; \
-	  rm -rf gt5.0.2-all-source-installer $(name)-$(version) ; \
+	  rm -rf gt5.0.3-all-source-installer $(name)-$(version) ; \
 	fi
 
 .PHONY: build clean binary-indep binary-arch binary install configure get-orig-source

## globus-gridftp-server 3.33

=== debian/changelog ===
globus-gridftp-server (3.33-2ubuntu0.1) oneiric-security; urgency=low

  * SECURITY UPDATE: Wrong user mapping on badly configured server
    (LP: #1027324)
    - debian/patches/globus-gridftp-server-pw195.patch: backported from
      upstream
    - CVE-2012-3292

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 19 Jul 2012 16:48:38 +0200

globus-gridftp-server (3.33-2) unstable; urgency=low

  * Source default (Closes: #635011)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 26 Jul 2011 17:31:35 +0200

globus-gridftp-server (3.33-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.4

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 06 Jun 2011 15:05:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: globus-gridftp-server
 Priority: optional
-Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 5), autotools-dev, quilt, grid-packaging-tools, libglobus-xio-dev, libglobus-authz-dev, libglobus-gfork-dev, libglobus-ftp-control-dev (>= 1), libglobus-gridftp-server-control-dev, libglobus-common-dev, libglobus-xio-gsi-driver-dev, libglobus-usage-dev (>= 1), globus-core (>= 5.15-5)
 Standards-Version: 3.9.2
 Section: net

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 name = globus-gridftp-server
 _name = globus_gridftp_server
-version = 3.28
+version = 3.33
 soname = 0
 
 INSTALLDIR = $(CURDIR)/debian/tmp
@@ -237,21 +237,21 @@
 	if [ -r $(name)_$(version).orig.tar.gz ] ; then \
 	  echo "$(name)_$(version).orig.tar.gz already exists." ; \
 	else \
-	  if [ ! -r gt5.0.3-all-source-installer.tar.bz2 ] ; then \
+	  if [ ! -r gt5.0.4-all-source-installer.tar.bz2 ] ; then \
 	    echo "Downloading Globus Toolkit release." ; \
 	    echo "This should be necessary only once for all globus packages." ; \
-	    wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.3/installers/src/gt5.0.3-all-source-installer.tar.bz2 ; \
+	    wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.4/installers/src/gt5.0.4-all-source-installer.tar.bz2 ; \
 	  fi ; \
 	  echo "Extracting relevant parts of the Globus Toolkit release." ; \
-	  tar -xjf gt5.0.3-all-source-installer.tar.bz2 \
-	    gt5.0.3-all-source-installer/source-trees/gridftp/server/src ; \
-	  mv gt5.0.3-all-source-installer/source-trees/gridftp/server/src \
+	  tar -xjf gt5.0.4-all-source-installer.tar.bz2 \
+	    gt5.0.4-all-source-installer/source-trees/gridftp/server/src ; \
+	  mv gt5.0.4-all-source-installer/source-trees/gridftp/server/src \
 	    $(name)-$(version) ; \
 	  echo "Packing it up again." ; \
 	  GZIP=-9 tar --exclude=CVS -czf $(name)_$(version).orig.tar.gz \
 	    $(name)-$(version) ; \
 	  echo "Cleaning up." ; \
-	  rm -rf gt5.0.3-all-source-installer $(name)-$(version) ; \
+	  rm -rf gt5.0.4-all-source-installer $(name)-$(version) ; \
 	fi
 
 .PHONY: build clean binary-indep binary-arch binary install configure get-orig-source
